#pragma once

#include <cstdint>
#include <string>

namespace blitz {
namespace game {

typedef std::uint8_t PlayerID;

class Player {
  private:
	PlayerID m_ID;
	std::string m_Name;

  public:
	Player(PlayerID id) : m_ID(id) {}

	PlayerID GetID() const {
		return m_ID;
	}

	const std::string& GetName() const {
		return m_Name;
	}

	void SetName(const std::string& name) {
		m_Name = name;
	}
};


}  // namespace game
}  // namespace blitz
